> ## Documentation Index
> Fetch the complete documentation index at: https://developer.firstsales.io/llms.txt
> Use this file to discover all available pages before exploring further.

# PublicApiGetContactOverview

> GET /api/v1/organizations/{orgId}/workspaces/{wsId}/contacts/{contactId}/overview

Use this endpoint through the Developer API or the matching `firstsales` CLI command when available. Responses use the stable FirstSales public error envelope.


## OpenAPI

````yaml GET /api/v1/organizations/{orgId}/workspaces/{wsId}/contacts/{contactId}/overview
openapi: 3.1.0
info:
  title: FirstSales Developer API
  version: 1.0.0
  description: >-
    Public v1 developer API for FirstSales.io. Generated from live step
    definitions — do not hand-edit.
servers:
  - url: https://sandbox.api.app.firstsales.io
  - url: https://api.app.firstsales.io
security:
  - bearerAuth: []
tags:
  - name: Activities
  - name: Alerts
  - name: API Keys
  - name: Authentication
  - name: Billing
  - name: Campaigns
  - name: Companies
  - name: Connectors
  - name: Contacts
  - name: Copilot
  - name: Dashboard
  - name: Deals
  - name: Email Authentication
  - name: Inbox
  - name: Knowledge Bases
  - name: Learning
  - name: Offerings
  - name: Organizations
  - name: Sequence Library
  - name: Team
  - name: Tracking Domains
  - name: Warmup
paths:
  /api/v1/organizations/{orgId}/workspaces/{wsId}/contacts/{contactId}/overview:
    get:
      tags:
        - Contacts
      summary: PublicApiGetContactOverview
      operationId: getApiV1OrganizationsOrgIdWorkspacesWsIdContactsContactIdOverview
      parameters:
        - name: orgId
          in: path
          required: true
          schema:
            type: string
        - name: wsId
          in: path
          required: true
          schema:
            type: string
        - name: contactId
          in: path
          required: true
          schema:
            type: string
            pattern: ^[0-9a-fA-F]{24}$
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PublicContactOverviewResponse'
        '400':
          description: Public API error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PublicErrorEnvelope'
        '401':
          description: Public API error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PublicErrorEnvelope'
        '403':
          description: Public API error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PublicErrorEnvelope'
        '404':
          description: Public API error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PublicErrorEnvelope'
        '429':
          description: Public API error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PublicErrorEnvelope'
        '500':
          description: Public API error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PublicErrorEnvelope'
        '503':
          description: Public API error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PublicErrorEnvelope'
        default:
          description: Error response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PublicErrorEnvelope'
      security:
        - developerKeyBearer: []
components:
  schemas:
    PublicContactOverviewResponse:
      type: object
      properties:
        contact:
          type: object
          properties:
            id:
              type: string
              pattern: ^[0-9a-fA-F]{24}$
            workspaceId:
              type: string
              minLength: 1
            email:
              type: string
            firstName:
              type:
                - string
                - 'null'
            lastName:
              type:
                - string
                - 'null'
            fullName:
              type:
                - string
                - 'null'
            headline:
              type:
                - string
                - 'null'
            linkedinUrl:
              type:
                - string
                - 'null'
            company:
              anyOf:
                - type: string
                - type: object
                  properties:
                    name:
                      type: string
                      maxLength: 200
                    website:
                      type: string
                      maxLength: 500
                    domain:
                      type: string
                      maxLength: 253
                    linkedinUrl:
                      type: string
                      maxLength: 500
                    industry:
                      type: string
                      maxLength: 200
                    size:
                      type: integer
                      minimum: 0
                  additionalProperties: false
                - type: 'null'
            title:
              type:
                - string
                - 'null'
            phone:
              type:
                - string
                - 'null'
            location:
              anyOf:
                - type: object
                  properties:
                    city:
                      type: string
                      maxLength: 100
                    state:
                      type: string
                      maxLength: 100
                    country:
                      type: string
                      maxLength: 100
                  additionalProperties: false
                - type: 'null'
            tags:
              type: array
              items:
                type: string
            lists:
              type: array
              items:
                type: string
                minLength: 1
            customFields:
              type: object
              additionalProperties: true
            source:
              type: string
              enum:
                - csv-import
                - ai-leads
                - webhook
                - signal
                - manual
            status:
              type: string
              enum:
                - active
                - bounced
                - unsubscribed
            oooStatus:
              type: string
            oooUntil:
              type:
                - string
                - 'null'
              format: date-time
            timezone:
              type:
                - string
                - 'null'
            verificationStatus:
              type: string
              enum:
                - clean
                - risky
                - dirty
                - unknown
            createdAt:
              type:
                - string
                - 'null'
              format: date-time
            updatedAt:
              type:
                - string
                - 'null'
              format: date-time
          required:
            - id
            - workspaceId
            - email
            - firstName
            - lastName
            - fullName
            - headline
            - linkedinUrl
            - company
            - title
            - phone
            - location
            - tags
            - lists
            - customFields
            - source
            - status
            - oooStatus
            - oooUntil
            - timezone
            - verificationStatus
            - createdAt
            - updatedAt
          additionalProperties: false
        company:
          anyOf:
            - type: object
              properties:
                id:
                  type: string
                  pattern: ^[0-9a-fA-F]{24}$
                workspaceId:
                  type: string
                  minLength: 1
                name:
                  type: string
                domain:
                  anyOf:
                    - type: string
                    - type: 'null'
                size:
                  anyOf:
                    - type: number
                    - type: 'null'
                industry:
                  anyOf:
                    - type: string
                    - type: 'null'
                ownerId:
                  anyOf:
                    - type: string
                      minLength: 1
                    - type: 'null'
                mergedInto:
                  anyOf:
                    - type: string
                      pattern: ^[0-9a-fA-F]{24}$
                    - type: 'null'
                createdAt:
                  anyOf:
                    - type: string
                      format: date-time
                      pattern: >-
                        ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z|([+-](?:[01]\d|2[0-3]):[0-5]\d)))$
                    - type: 'null'
                updatedAt:
                  anyOf:
                    - type: string
                      format: date-time
                      pattern: >-
                        ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z|([+-](?:[01]\d|2[0-3]):[0-5]\d)))$
                    - type: 'null'
              required:
                - id
                - workspaceId
                - name
                - domain
                - size
                - industry
                - ownerId
                - mergedInto
                - createdAt
                - updatedAt
              additionalProperties: false
            - type: 'null'
        deals:
          type: array
          items:
            type: object
            properties:
              id:
                type: string
                minLength: 1
              title:
                type:
                  - string
                  - 'null'
              status:
                type:
                  - string
                  - 'null'
              stageId:
                type:
                  - string
                  - 'null'
              pipelineId:
                type:
                  - string
                  - 'null'
              amount:
                type:
                  - number
                  - 'null'
            required:
              - id
              - title
              - status
              - stageId
              - pipelineId
              - amount
            additionalProperties: false
        recentActivities:
          type: array
          maxItems: 20
          items:
            type: object
            properties:
              id:
                type: string
                minLength: 1
              workspaceId:
                type: string
                minLength: 1
              type:
                type: string
              dealId:
                type:
                  - string
                  - 'null'
              contactId:
                type: string
                minLength: 1
              companyId:
                type:
                  - string
                  - 'null'
              actor:
                type:
                  - string
                  - 'null'
              occurredAt:
                type:
                  - string
                  - 'null'
                format: date-time
              payload:
                type: object
                additionalProperties: true
              createdAt:
                type:
                  - string
                  - 'null'
                format: date-time
              updatedAt:
                type:
                  - string
                  - 'null'
                format: date-time
            required:
              - id
              - workspaceId
              - type
              - dealId
              - contactId
              - companyId
              - actor
              - occurredAt
              - payload
              - createdAt
              - updatedAt
            additionalProperties: false
      required:
        - contact
        - company
        - deals
        - recentActivities
      additionalProperties: false
    PublicErrorEnvelope:
      type: object
      properties:
        error:
          type: object
          properties:
            code:
              type: string
            message:
              type: string
            requestId:
              type: string
            details:
              type: object
              additionalProperties: true
          required:
            - code
            - message
            - requestId
      required:
        - error
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: Legacy compatibility bearer scheme for generated consumers.
    developerKeyBearer:
      type: http
      scheme: bearer
      description: FirstSales developer API key bearer token (fs-key-*).

````